> ## Documentation Index
> Fetch the complete documentation index at: https://estate96.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Sending OTP

> Learn how to send otp using the Render9 SDK

<p>Render9 SDK provides a simple and easy to use classes architecture to send otp. You can send otp of following types using the Render9 SDK:</p>

<p> You can send a otp to a user using the send method available on the client class otp manager.</p>

<Accordion icon="node" title="Node js">
  <Info>
    **Prerequisite** You should have installed Node.js (version 18.10.0 or
    higher).
  </Info>

  Step 1. Install Render9 on your OS:

  <CodeGroup>
    ```bash npm theme={null}
    npm install render9
    ```

    ```bash yarn theme={null}
    yarn add render9
    ```
  </CodeGroup>

  Step 2. Add RENDER9\_API\_KEY to environment variable:

  ```bash theme={null}
  RENDER9_API_KEY
  ```

  Step 3. import  sendOTP from render9:

  ```bash theme={null}
  import { sendOTP } from 'render9'
  ```

  Step 4. Use sendOTP method to send otp :

  ```bash theme={null}
  sendOTP({ phoneNumber: <PHONE_NUMBER>, otp: <OTP> ,countryCode:<COUNTRY_CODE> , apiKey:<RENDER9_API_KEY> })
  ```
</Accordion>

<Accordion icon="python" title="Python">
  <Info>
    **Prerequisite** You should have installed Python.
  </Info>

  Step 1. Install Render9 on your OS:

  <CodeGroup>
    ```bash pip theme={null}
    pip install render9
    ```
  </CodeGroup>

  Step 2. Add RENDER9\_API\_KEY to environment variable:

  ```bash theme={null}
  RENDER9_API_KEY
  ```

  Step 3. Use sendOTP method to send otp :

  ```bash theme={null}
  sendOTP({ phoneNumber: <PHONE_NUMBER>, otp: <OTP> ,countryCode:<COUNTRY_CODE> , apiKey:<RENDER9_API_KEY> })
  ```
</Accordion>

<Accordion icon="curl" title="CURL">
  <Info>
    **Prerequisite** You should have installed Curl.
  </Info>

  Step 1. Run

  <CodeGroup>
    ```bash curl theme={null}
    curl -X POST https://api.render9.com/api/otp  -H 'Content-Type: application/json'  -d '{ phoneNumber: <PHONE_NUMBER>, countryCode:  <COUNTRY_CODE>,otp:  <OTP> , apiKey: <RENDER9_API_KEY>}'
    ```
  </CodeGroup>

  ```bash Response theme={null}
  { error: false, // true if there was an error, false otherwise message: 'OTP sent successfully' // message indicating the status}
  ```
</Accordion>
